Giữ thiết bị đầu cuối E1 và thay mạng truyền tải bằng IP
Khi thiết bị cũ ở một đầu vẫn xuất E1 và đầu kia cũng phải nhận E1, nhưng ở giữa chỉ có mạng Ethernet hoặc IP sẵn có, có thể cân nhắc mô phỏng mạch E1 qua IP. Gateway ở hai đầu phân đoạn dữ liệu E1 liên tục thành các gói tin mạng, rồi sau khi truyền đến đích, xuất tín hiệu E1 phù hợp với chế độ dịch vụ đã chọn. Thành phần được duy trì là giao diện mạch, chứ không phải bản thân thiết bị cũ được biến đổi thành thiết bị Ethernet.
Để hiểu sự hội tụ giữa mạch truyền thống và mạng IP, trước tiên cần phân biệt khung dịch vụ, gói tin truyền tải và định thời đường truyền. G.704 xác định các cấu trúc khung liên quan, không phải giao thức đóng gói IP; hệ thống quản lý sử dụng NTP để hiệu chỉnh ngày giờ, nhưng không thể dựa vào đó để kết luận rằng đồng hồ đường truyền E1 đã đáp ứng yêu cầu dịch vụ.
Nhịp liên tục khác với chuyển tiếp từng gói tin như thế nào?
E1 liên tục gửi bit theo nhịp đường truyền cố định, và thiết bị thu dựa vào nhịp này để đọc dữ liệu. Mạng IP chuyển tiếp từng gói tin; các gói đi qua quá trình chuyển mạch, xếp hàng và có thể thay đổi tuyến đường. Ngay cả khi băng thông trung bình đủ, nhiều gói vẫn có thể đến dồn dập, sau đó tạm thời không có gói nào đến. Sự thay đổi khoảng cách thời gian giữa các gói đến này được gọi là biến thiên độ trễ gói.
Ở phía gửi, gateway trước tiên nhận dữ liệu E1, chia thành các đoạn theo độ dài tải hữu ích đã cấu hình, rồi thêm tiêu đề truyền tải và mã định danh kênh cần thiết. Phía thu xác định dịch vụ tương ứng, kiểm tra thứ tự gói tin, trích xuất dữ liệu TDM và khôi phục đầu ra. TDM có nghĩa là truyền dẫn được bố trí theo thời gian; pseudowire là cơ chế truyền tải mô phỏng một kết nối trên mạng gói, không có nghĩa là đã lắp đặt một đường truyền vật lý chuyên dụng.
SAToP và CESoPSN: lựa chọn nằm ở cách xử lý mạch
RFC 4553 mô tả SAToP, cơ chế truyền luồng bit TDM mà không phân tích cấu trúc khung dịch vụ, phù hợp với những trường hợp tương ứng cần truyền toàn bộ mạch. RFC 5086 mô tả CESoPSN, cơ chế liên quan đến các kênh dịch vụ có cấu trúc tốc độ sáu mươi tư kilobit. Hai cơ chế xử lý dịch vụ khác nhau, vì vậy không nên cho rằng các cấu hình có thể thay thế cho nhau chỉ vì đều được gắn nhãn E1 qua IP.
Khi chọn model, hãy kiểm tra các phương thức truyền tải, cách đóng gói, độ dài tải hữu ích, thiết lập khung và báo hiệu, ánh xạ kênh và phiên bản firmware được hỗ trợ ở cả hai đầu. Tên tiêu chuẩn chỉ giúp hiểu cơ chế; không thể thay thế việc xác nhận khả năng tương tác giữa các sản phẩm. Bài viết này sử dụng quy trình phân đoạn tổng quát để minh họa và không dựa vào đó để khẳng định rằng một model cụ thể của Feichang Technology đã hỗ trợ tất cả các chế độ RFC.

Bộ đệm jitter cho phép xuất dữ liệu theo nhịp yêu cầu, nhưng cũng làm tăng thời gian chờ
Gateway thu tạm lưu dữ liệu đến sớm rồi đọc ra theo nhịp yêu cầu; đây chính là bộ đệm jitter. Bộ đệm tạo khoảng dự phòng cho các gói đến muộn hơn. Nếu đặt bộ đệm quá nông, dữ liệu đến muộn có thể không đáp ứng định thời đầu ra; nếu đặt quá sâu, thời gian chờ đầu cuối đến đầu cuối cũng tăng. Cơ sở lựa chọn phải là dao động thực tế của mạng và độ trễ cho phép của dịch vụ, chứ không phải đơn giản đặt giá trị tối đa.
Bộ đệm không thể tái tạo dữ liệu đã mất. Nghẽn mạng, mất gói hoặc gián đoạn kéo dài có thể gây suy giảm dịch vụ tương ứng, phát tín hiệu thay thế và cảnh báo; hành vi cụ thể phụ thuộc vào cách triển khai của thiết bị. Các gói sai thứ tự cũng có thể gây vấn đề nếu vượt quá khả năng xử lý của thiết bị. Vì vậy, “có thể truyền qua mạng IP” và “duy trì chất lượng ban đầu trên mọi mạng” không phải là cùng một kết luận.
Đồng hồ được khôi phục quyết định cách đầu xa tiếp tục đọc dữ liệu ra
Ngoài việc tái tạo dữ liệu, phía thu còn cần thiết lập đồng hồ đầu ra phù hợp. Hệ thống có thể dùng đồng hồ tham chiếu chung hoặc thực hiện khôi phục thích nghi dựa trên gói tin hay trạng thái bộ đệm, tùy model và chế độ triển khai. Nếu tốc độ đọc ra dài hạn nhanh hơn một chút so với tốc độ ghi vào, bộ đệm sẽ dần cạn; nếu chậm hơn một chút, bộ đệm sẽ dần đầy. Gói tin đến không đều và sai lệch tần số dài hạn là những vấn đề có liên quan nhưng khác nhau.
RFC 4197 thảo luận các kịch bản đồng hồ và tham chiếu mạng cho mô phỏng mạch. Đối với dự án, cách thực tế hơn là ghi nguồn đồng hồ ở mỗi đầu, quan hệ chủ–tớ và hành vi khi mất tham chiếu vào bảng chạy thử, sau đó kiểm chứng theo tài liệu hướng dẫn thiết bị. Việc sử dụng NTP để đồng bộ thời gian mạng không tự động chứng minh rằng gateway có thể dùng NTP để khôi phục tần số và đặc tính jitter mà giao diện E1 yêu cầu.

Ví dụ gateway của Feichang Technology và kiểm tra dung lượng mạng
Trong danh mục TDM Over IP của Feichang Technology, thông tin chi tiết về gateway bốn E1 FCT-E4-M liệt kê bốn kênh E1, hai cổng điện gigabit tự thích ứng, một cổng SFP một trăm megabit hoặc gigabit tự thích ứng, đồng thời cung cấp khả năng quản lý qua Console và WEB. Nhiều cổng dịch vụ E1 được tách biệt với các cổng phía IP, thuận tiện cho việc kết nối mạch đầu cuối cũ vào mạng hiện có; thông tin chi tiết cũng mô tả nhiều cấu hình IP đích và cổng để ánh xạ từ xa các kênh E1 khác nhau.
Không thể dựa vào các khả năng giao diện này để suy ra độ trễ dịch vụ bằng không hoặc khả năng sử dụng trên mọi mạng công cộng. Khi tính băng thông, phải tính cả tải hữu ích E1 lẫn phần phụ trội do đóng gói, Ethernet và các thành phần khác của liên kết. Truyền liên tục đồng thời bốn kênh E1 khác với yêu cầu mạng chỉ thỉnh thoảng gửi một lượng nhỏ dữ liệu quản lý. Độ dài gói tin cũng ảnh hưởng đến hiệu suất đóng gói và thời gian chờ trước khi truyền, nên cần được chọn trong phạm vi thực tế được hỗ trợ.
Ở phía mạng, hãy xác nhận địa chỉ hai đầu có thể liên lạc với nhau, các cổng liên quan và điều kiện MTU đáp ứng yêu cầu, đồng thời triển khai QoS phù hợp trên toàn bộ tuyến đường. QoS là việc sắp xếp mức ưu tiên lưu lượng theo chính sách và cần sự phối hợp của các thiết bị dọc tuyến; chỉ gắn nhãn tại một switch không thể loại bỏ nghẽn ở nơi khác. Nếu sử dụng mạng dùng chung, cũng cần kiểm tra các biện pháp kiểm soát truy cập và bảo vệ theo yêu cầu dự án; không được đồng nhất khả năng kết nối dịch vụ với mã hóa.
Cách chuyển đổi và nghiệm thu, tránh chỉ kiểm tra địa chỉ quản lý
Trước tiên, chốt một E1 và một bộ ánh xạ trong thử nghiệm ghép cặp quy mô nhỏ, ghi lại các tham số đóng gói, đồng hồ, bộ đệm và khung, sau đó mở rộng sang các kênh khác. Nghiệm thu có hai lớp: ở phía IP, kiểm tra mất gói, biến thiên độ trễ và khả năng kết nối dưới tải thực tế; ở phía E1, kiểm tra mất tín hiệu, mất khung, lỗi bit và tính liên tục của dịch vụ thực tế. Ping được địa chỉ quản lý chỉ bao quát một phần nhỏ các điều kiện về khả năng kết nối mạng.
Sau đó lần lượt kiểm tra từng dịch vụ có được chuyển đến đúng đầu xa hay không, đồng thời quan sát hoạt động hai chiều cũng như hành vi cảnh báo và phục hồi khi nghẽn mạng hoặc thay đổi liên kết. Việc kiểm thử cần có khung thời gian bảo trì và cấu hình khôi phục về trạng thái trước đó; nghiêm cấm đưa trực tiếp mẫu kiểm thử vào mạch đang khai thác. Nếu dịch vụ vẫn không đáp ứng yêu cầu định thời hoặc độ trễ, hãy đánh giá lại mạng truyền tải và phạm vi chuyển đổi; không dùng cụm từ “tương thích giao thức” để che giấu các hạn chế thực tế.
Ghi chú tài liệu: Các sơ đồ nguyên lý đã được kiểm tra về nội dung kỹ thuật và dùng để giải thích cơ chế tổng quát; chúng không phải ảnh sản phẩm hay bản ghi đo đạc. Giao diện, chế độ và khả năng cụ thể phụ thuộc vào model, phiên bản được chọn và kết quả kiểm chứng tại hiện trường.
Tài liệu tham khảo để xác minh:RFC 4553: SAToP
RFC 5086: CESoPSN
RFC 4197: Yêu cầu đối với mô phỏng mạch TDM
ITU-T G.704: Cấu trúc khung đồng bộ
Danh mục TDM Over IP của Feichang Technology
Gateway mô phỏng mạch bốn E1 FCT-E4-M của Feichang Technology
Được dịch từ bài viết kỹ thuật tiếng Trung. Nguồn xuất bản lần đầu: 2025-02-25. Nguồn sửa đổi gần nhất: 2026-10-13T14:18:10+08:00. Đọc nguồn tiếng Trung


